Package com.sas.lsaf.workflow.task

## Class TaskSearchResults

- java.lang.Object
- - com.sas.lsaf.workflow.task.TaskSearchResults

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TaskSearchResults
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of a process flow task search.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskSearchResults​(java.util.Set<Task> tasks, boolean limitReached)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Task>` | `getTasks()` | The process flow tasks found that match the query.
    `boolean` | `isLimitReached()` | Indicates whether the query results exceed the maximum number of items that are allowed on the server.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSearchResults

          public TaskSearchResults​(java.util.Set<Task> tasks,
                                   boolean limitReached)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the search results objects returned by the API.
      Parameters:
        `tasks` - The process flow tasks that match the query.
        `limitReached` - Indicates whether the query results exceed the maximum number of items allowed on the server.

  - ### Method Detail

    - #### getTasks

          public java.util.Set<Task> getTasks()

      The process flow tasks found that match the query.
      Returns:
        The process flow tasks.

    - #### isLimitReached

          public boolean isLimitReached()

      Indicates whether the query results exceed the maximum number of items that are allowed on the server.
      Returns:
        Whether the query results exceed the maximum number of items that are allowed on the server.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`